c----------------------------------------------
c      lineset2.f
c    
c      subrtn file : pk1subrtn
c       
c----------------------------------------------
c      main program 
c      lineset2.f     for line program << gradation color >>
c----( ln: point su )
       parameter (ln=100,ln3=ln*3,rd=10.0,pai=3.1415926)
c----( sco: start color, eco: end color
c       1:white 2:yellow 3:mazenda 4:red 5:sian 6:green 7:blue )
       parameter (sco=2,eco=4)
c----( po: x,y,z no jun ni set )
       dimension po(ln3)
       call initvrml
c
       dd=2.0*pai/float(ln)
       do 20  i=1,ln3
       i1=3*(i-1)+1
       i2=i1+1
       i3=i2+1
       po(i1)=i
c      po(i1)=rd*cos(float(i)*dd)
       po(i2)=rd*sin(float(i)*dd)
       po(i3)=0.0
   20  continue
c
       call line2(ln,po,sco,eco)
c
       stop
       end
